import 'package:json_annotation/json_annotation.dart';

part 'upload_file_interface_config.g.dart';

@JsonSerializable()
class UploadFileInterfaceConfig extends Object {
  @JsonKey(name: 'uploadMethod')
  String uploadMethod;

  @JsonKey(name: 'uploadUri')
  String? uploadUri;

  @JsonKey(name: 'downloadUri')
  String downloadUri;

  UploadFileInterfaceConfig(
    this.uploadMethod,
    this.uploadUri,
    this.downloadUri,
  );

  factory UploadFileInterfaceConfig.fromJson(Map<String, dynamic> srcJson) =>
      _$UploadFileInterfaceConfigFromJson(srcJson);

  Map<String, dynamic> toJson() => _$UploadFileInterfaceConfigToJson(this);
}
